Bug 972746 - Archetypes use different BOM versions than what is in repository
Summary: Archetypes use different BOM versions than what is in repository
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: Examples, Maven   
(Show other bugs)
Version: 2.3.0
Hardware: Unspecified Unspecified
unspecified
high
Target Milestone: GA
: 2.3.0
Assignee: Pete Muir
QA Contact: Matous Jobanek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 14:06 UTC by rfalhar
Modified: 2013-11-06 20:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 15:58:24 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ERRAI-575 Major Closed Update Kitchensing archetype's enterprise Jboss BOM version 2013-11-19 09:36:24 UTC
JBoss Issue Tracker JDF-377 Major Resolved Update archetype BOM versions to reflect EAP 6.1.0 and WFK 2.3.0 repositories 2013-11-19 09:36:24 UTC
JBoss Issue Tracker WFK2-31 Major Closed Archetypes use different BOM versions than what is in repository 2013-11-19 09:36:24 UTC

Description rfalhar 2013-06-10 14:06:06 UTC
Description of problem:
Current archetypes use default JBoss BOM version of 1.0.2-redhat-1 . But EAP repository contains only 1.0.4-redhat-4 . This only applies for enterprise=true.
This results in build crashing on non-resolvable dependency.

Version-Release number of selected component (if applicable):
JBoss EAP 6.1.0 Repository zip
Archetypes:
JBoss JavaEE6 WebApp 7.1.3.CR1
Aerogear JBoss HTML5 Mobile 1.0.0.M8

How reproducible:
Create a project from given archetypes. Use given EAP repository.

Actual results:
Repository has correct versions.

Expected results:
Repository is missing correct versions.

Comment 1 rfalhar 2013-06-14 07:27:44 UTC
Complete report for newest archetype versions:

jboss-html5-mobile-archetype:7.1.3.CR6
requires:
jboss-javaee-6.0-with-tools:1.0.4.Final-redhat-wfk-1
jboss-javaee-6.0-with-hibernate:1.0.4.Final-redhat-wfk-1

jboss-errai-kitchensink-archetype:2.2.1.Final
requires:
jboss-javaee-6.0-with-tools:1.0.4.Final-redhat-wfk-1
jboss-javaee-6.0-with-hibernate:1.0.4.Final-redhat-wfk-1

jboss-javaee6-webapp-archetype:7.1.3.CR6; same with -ear version
requires:
jboss-javaee-6.0-with-tools:1.0.2.Final-redhat-1
jboss-javaee-6.0-with-hibernate:1.0.2.Final-redhat-1

spring-mvc-webapp:1.0.0.CR8
requires:
spring-3.2-bom:2.2.0-redhat-1
jboss-javaee-6.0-with-hibernate:1.0.4.Final-redhat-wfk-1

Comment 2 Marek Novotny 2013-06-14 08:40:01 UTC
All should use WFK 2.3.0 related versions:
 jboss-javaee-6.0-with-hibernate:1.0.4.Final-redhat-wfk-2, 
 jboss-javaee-6.0-with-tools:1.0.2.Final-redhat-2
 spring-3.2-bom:2.3.0-redhat-1

Comment 3 Marek Novotny 2013-06-14 08:41:10 UTC
@Radek, please create JDF issue for these archetypes to get that fixed as they are asynchronously handled.

Comment 4 rfalhar 2013-06-14 11:03:39 UTC
Here:
https://issues.jboss.org/browse/JDF-377

Comment 7 JBoss JIRA Server 2013-06-14 13:00:21 UTC
Rafael Benevides <benevides@redhat.com> updated the status of jira JDF-377 to Coding In Progress

Comment 8 JBoss JIRA Server 2013-06-14 13:12:07 UTC
Rafael Benevides <benevides@redhat.com> made a comment on jira JDF-377

jboss-errai-kitchensink-archetype and spring-mvc-webapp are not managed by JDF. A issue should be opened to Errai team for jboss-errai-kitchensink-archetype

Comment 9 JBoss JIRA Server 2013-06-14 14:25:47 UTC
Rafael Benevides <benevides@redhat.com> made a comment on jira JDF-377

Working with JDF-364 in this repository.

Comment 10 JBoss JIRA Server 2013-06-14 15:13:22 UTC
Rafael Benevides <benevides@redhat.com> updated the status of jira JDF-377 to Resolved

Comment 11 JBoss JIRA Server 2013-06-14 15:13:22 UTC
Rafael Benevides <benevides@redhat.com> made a comment on jira JDF-377

7.1.3.CR7 released

Comment 13 Pete Muir 2013-07-16 15:58:24 UTC
Migrated to JIRA

Comment 14 JBoss JIRA Server 2013-07-29 17:42:40 UTC
Jonathan Fuerth <jfuerth@redhat.com> made a comment on jira ERRAI-575

We can't update artifacts that were already deployed to Maven Central. We double-checked that we were using the correct version before publishing the archetype that's presently there. I tested it myself. The runtime variable for WFK version is a very good idea, but I wasn't aware that the version number was going to change before WFK went GA.

Comment 15 JBoss JIRA Server 2013-07-29 17:42:41 UTC
Jonathan Fuerth <jfuerth@redhat.com> updated the status of jira ERRAI-575 to Resolved

Comment 16 JBoss JIRA Server 2013-07-30 20:59:59 UTC
Rafael Benevides <benevides@redhat.com> updated the status of jira WFK2-31 to Closed

Comment 17 JBoss JIRA Server 2013-07-30 21:03:02 UTC
Rafael Benevides <benevides@redhat.com> made a comment on jira WFK2-31

Fix was available on 7.1.3.CR7.

I'm releasing 7.1.3.CR9 today

Comment 18 JBoss JIRA Server 2013-07-30 22:04:25 UTC
Rafael Benevides <benevides@redhat.com> made a comment on jira WFK2-31

7.1.3.CR9 released

Comment 19 JBoss JIRA Server 2013-08-01 12:40:56 UTC
Pete Muir <pmuir@bleepbleep.org.uk> updated the status of jira WFK2-31 to Reopened

Comment 20 JBoss JIRA Server 2013-08-01 12:41:14 UTC
Pete Muir <pmuir@bleepbleep.org.uk> updated the status of jira WFK2-31 to Resolved

Comment 21 JBoss JIRA Server 2013-11-04 09:07:43 UTC
Marek Schmidt <maschmid@redhat.com> updated the status of jira WFK2-31 to Closed

Comment 22 JBoss JIRA Server 2013-11-04 09:07:43 UTC
Marek Schmidt <maschmid@redhat.com> made a comment on jira WFK2-31

out of date

Comment 23 JBoss JIRA Server 2013-11-06 20:55:59 UTC
Christian Sadilek <csadilek@redhat.com> updated the status of jira ERRAI-575 to Closed


Note You need to log in before you can comment on or make changes to this bug.